﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _9016
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            WorldStreetsAndImageryOverlay worldOverlay = new WorldStreetsAndImageryOverlay();
            winformsMap1.Overlays.Add(worldOverlay);

            LayerOverlay layerOverlay = new LayerOverlay();
            ShapeFileFeatureLayer shapeFileLayer = new ShapeFileFeatureLayer(@"..\..\AppData\states.shp");
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = WorldStreetsAreaStyles.Military();
            shapeFileLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            layerOverlay.Layers.Add(shapeFileLayer);
            winformsMap1.Overlays.Add(layerOverlay);

            LineStyle customDashLineStyle = LineStyles.CreateSimpleLineStyle(GeoColors.Gray, 1, LineDashStyle.Custom, true);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);
            customDashLineStyle.CenterPen.DashPattern.Add(4f);

            GraticuleFeatureLayer g = new GraticuleFeatureLayer();
            g.GraticuleLineStyle = customDashLineStyle;
            layerOverlay.Layers.Add("GraticuleAdornmentLayer", g);

            shapeFileLayer.Open();
            winformsMap1.CurrentExtent = shapeFileLayer.GetBoundingBox();
            winformsMap1.Refresh();
        }
    }
}
